@echo off

chcp 65001 > nul

echo 确保git为默认安装路径.
echo 首次运行脚本时，请配置 Git 用户名和邮箱.

set /p git_username="请输入您的 Git 用户名: "
set /p git_email="请输入您的 Git 邮箱: "

git config --global user.name "%git_username%"
git config --global user.email "%git_email%"

set file_url="https://git.sairate.top/sairate/gitconfig/raw/branch/main/zh_cn.msg"

certutil -urlcache -split -f %file_url% zh_cn.msg

set target_path="C:\Program Files\Git\mingw64\share\git-gui\lib\msgs"

if not exist %target_path% (
    mkdir %target_path%
)

copy zh_cn.msg %target_path%

echo 文件成功复制到目标路径：%target_path%

timeout /t 3 /nobreak > nul
